//  Clock.as - a simple template for making your own 'machiuke' flash
//
//  Copyright (C) 2010 FUJIWARA Teruyoshi
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
class Main
{
  public static function main(swfRoot:MovieClip):Void {
    var date_txt:TextField;
    var clock_txt:TextField;
    var DISP_DATE = 0;
    var DISP_TIME = 1;
    var x_pos:Array = [16, 4];
    var y_pos:Array = [20, 52]; // Date and Time is at Top
    //var y_pos:Array = [340, 372]; // Date and Time is at Bottom
    var font_size:Array = [14, 26];
    swfRoot.createTextField("date_txt", swfRoot.getNextHighestDepth(),
                            x_pos[DISP_DATE], y_pos[DISP_DATE],
                            200, 24);
    swfRoot.createTextField("clock_txt", swfRoot.getNextHighestDepth(),
                            x_pos[DISP_TIME], y_pos[DISP_TIME],
                            200, 52);
    date_txt = swfRoot.date_txt;
    clock_txt = swfRoot.clock_txt;
    date_txt.embedFonts = true;
    clock_txt.embedFonts = true;

    var date_fmt:TextFormat = new TextFormat();
    date_fmt.color = 0xFFFFFF;
    date_fmt.font = "font/date";
    date_fmt.size = font_size[DISP_DATE];
    date_txt.setNewTextFormat(date_fmt);

    var clock_fmt:TextFormat = new TextFormat();
    clock_fmt.color = 0xFFFFFF;
    clock_fmt.font = "font/time";
    clock_fmt.size = font_size[DISP_TIME];
    clock_txt.setNewTextFormat(clock_fmt);

    swfRoot.onEnterFrame = function() {
      var d:Date = new Date();
      // date
      var y = d.getFullYear();
      var mon = d.getMonth() + 1;
      var day = d.getDate();
      var wday = d.getDay();
      var week = new Array("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");
      date_txt.text = y + "/" + mon + "/" + day + "(" + week[wday] + ")";
      
      // clock
      var h = d.getHours().toString();
      if (h.length == 1) {
        h = "0" + h;
      }
      var m = d.getMinutes().toString();
      if (m.length == 1) {
        m = "0" + m;
      }
      var s = d.getSeconds().toString();
      if (s.length == 1) {
        s = "0" + s;
      }
      clock_txt.text = h + ":" + m + ":" + s;
    };
  }
}
